
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/reimu.zip" ),
	Asset( "IMAGE", "images/reimutab.tex"),
        Asset( "ATLAS", "images/reimutab.xml"),
	Asset("IMAGE", "images/inventoryimages/lf.tex"),
	Asset("ATLAS", "images/inventoryimages/lf.xml"),
	Asset("IMAGE", "images/inventoryimages/yyy.tex"),
	Asset("ATLAS", "images/inventoryimages/yyy.xml"),
	Asset("IMAGE", "images/inventoryimages/qmb.tex"),
	Asset("ATLAS", "images/inventoryimages/qmb.xml"),
}

local prefabs = 
{
    "lf",
    "qmb",
    "yyy",
}

local start_inv = { "qmb","lf","lf","lf","lf","lf","lf","lf","lf","lf","lf","yyy",}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wickerbottom"

	-- a minimap icon must be specified
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "reimu1.tex" )

	-- todo: Add an example special power here.

	inst.components.health.maxhealth = 100
	inst.components.sanity.max = 120

	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
    	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.3)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.25)

	inst.components.sanity.neg_aura_mult = 0


	STRINGS.TABS.REIMUTABS = "灵力"
	local reimutab = {str = STRINGS.TABS.REIMUTABS, sort = 999, icon = "reimutab.tex", icon_atlas = "images/reimutab.xml"}
	inst.components.builder:AddRecipeTab(reimutab)

	local lf = Recipe("lf", {Ingredient("papyrus", 1), Ingredient("nitre", 1)}, reimutab, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0}, nil, nil, nil, 3)
	lf.atlas = "images/inventoryimages/lf.xml"
	local qmb = Recipe("qmb", {Ingredient("twigs", 2), Ingredient("rope", 1), Ingredient("papyrus", 1)}, reimutab, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0})
	qmb.atlas = "images/inventoryimages/qmb.xml"
	local yyy = Recipe("yyy", {Ingredient("redgem", 1), Ingredient("nightmarefuel", 2), Ingredient("flint", 4)}, reimutab, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0})
	yyy.atlas = "images/inventoryimages/yyy.xml"
end



-- strings! Any "REIMU" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.reimu = "乐园巫女"
STRINGS.CHARACTER_NAMES.reimu = "博丽灵梦"
STRINGS.CHARACTER_DESCRIPTIONS.reimu = "*身手矫健\n*巫女特有的道具\n*无惧怪物"
STRINGS.CHARACTER_QUOTES.reimu = "\"这是什么地方？\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.REIMU = {}

STRINGS.CHARACTERS.REIMU.ANNOUNCE_BOOMERANG  = "无聊的小孩子玩具."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_CHARLIE  = "趁我看不见吗?"
STRINGS.CHARACTERS.REIMU.ANNOUNCE_CHARLIE_ATTACK = "别乱摸！"

STRINGS.CHARACTERS.REIMU.ANNOUNCE_COLD  = "巫女也是会冷的."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_CRAFTING_FAIL  = "没十万能干?"
STRINGS.CHARACTERS.REIMU.ANNOUNCE_DUSK = "好想回家."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_HUNGRY  = "我要吃点东西才行."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_HUNT_BEAST_NEARBY = "就是你了. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_HUNT_LOST_TRAIL  = "去哪儿了?"
STRINGS.CHARACTERS.REIMU.ANNOUNCE_INV_FULL  = "我装不下了. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_KNOCKEDOUT  = "噢... "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_NODANGERSLEEP  = "先打怪再说."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_NOHUNGERSLEEP  = "敢先吃点东西么."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_NODAYSLEEP  = "白日梦还是算了吧."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_NO_TRAP  = "呵呵. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_PECKED  = "不要作死. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_QUAKE = " S子,别闹. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_RESEARCH  = "我学到点东西. "
STRINGS.CHARACTERS.REIMU.ANNOUNCE_TORCH_OUT  = "阴阳玉呢?"
STRINGS.CHARACTERS.REIMU.ANNOUNCE_WORMHOLE  = "里面有黏糊糊的液体."

STRINGS.CHARACTERS.REIMU.ANNOUNCE_EAT = {}
STRINGS.CHARACTERS.REIMU.ANNOUNCE_EAT.GENERIC  = "难吃."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_EAT.PAINFULL = "吃点正常的好么?"
STRINGS.CHARACTERS.REIMU.ANNOUNCE_EAT.SPOILED = "快吐了."
STRINGS.CHARACTERS.REIMU.ANNOUNCE_EAT.STALE  = "已经开始变质了."

STRINGS.CHARACTERS.REIMU.BATTLECRY = {}
STRINGS.CHARACTERS.REIMU.BATTLECRY.GENERIC  = "退散!"
STRINGS.CHARACTERS.REIMU.BATTLECRY.PIG = "我爱猪肉."
STRINGS.CHARACTERS.REIMU.BATTLECRY.PREY  = "别以为你小我就不敢欺负你. "
STRINGS.CHARACTERS.REIMU.BATTLECRY.SPIDER  = "蜘蛛妖退散!"
STRINGS.CHARACTERS.REIMU.BATTLECRY.SPIDER_WARRIOR  = "你是比较麻烦的一类."
STRINGS.CHARACTERS.REIMU.BATTLECRY.HOUND  = "又是猪妖."
STRINGS.CHARACTERS.REIMU.BATTLECRY.LEIF  = "树妖么?"

-- Description
STRINGS.CHARACTERS.REIMU.DESCRIBE = {}
STRINGS.CHARACTERS.REIMU.DESCRIBE.ROBIN = "太多春也不好啊."
STRINGS.CHARACTERS.REIMU.DESCRIBE.SLURPER  = "要驱散吗?"
STRINGS.CHARACTERS.REIMU.DESCRIBE.ORANGEAMULET  = "这也许魔理沙比较感兴趣."
STRINGS.CHARACTERS.REIMU.DESCRIBE.YELLOWSTAFF  = "这也许魔理沙比较感兴趣."
STRINGS.CHARACTERS.REIMU.DESCRIBE.YELLOWGEM  = "黄宝石,十万吗? "
STRINGS.CHARACTERS.REIMU.DESCRIBE.ORANGEGEM  = "橙宝石,十万吗?"
STRINGS.CHARACTERS.REIMU.DESCRIBE.STAFFLIGHT  = "没阴阳玉给力啊."
STRINGS.CHARACTERS.REIMU.DESCRIBE.ANCIENT_ALTAR  = "这让我想起不寒而栗."
STRINGS.CHARACTERS.REIMU.DESCRIBE.CAVE_BANANA  = "看起来像一个正常的香蕉."
STRINGS.CHARACTERS.REIMU.DESCRIBE.ROCKY  = "那啥啊?"
STRINGS.CHARACTERS.REIMU.DESCRIBE.EVERGREEN = "希望没有烦人的妖精."


return MakePlayerCharacter("reimu", prefabs, assets, fn, start_inv)
